Subject: M2PA Interop: Re: correction for interop test cases for m2pa

From: Tom George <[email-masked]>
Date: Fri, 26 Oct 2001 14:48:39 -0500

I think in B4, B5, B6 and B9 there is just a misunderstanding about the
state. M2PA sends MTP3 a Link Out of Service indication. MTP3 does not
know about the Retrieval state in M2PA. 

According to M2PA version 3, an MTP3 Stop while the link is in service
causes M2PA to abort the link.   

[email-masked] wrote:
  [...]
> Test: B4
> Title: Link Changeover I (Basic)
> 
> The Correct test case should be
> Process: Establish a link and begin data transmission. Disconnect a cable to
> break the link. After a while, the ends should detect the link goes to retrval .
>                        When the sides receive the Link State is RETRIVAL, record
>  the BSNT and sequence numbers sent/received.
>                        Manually exchange the BSNT values and enter retrieval
> requests. Examine the internal message sequence numbers to check for any gaps.
> Variations: Tune SCTP parameters for an acceptable detection interval.
>                            Either establish two links in opposite directions or
> reverse the data generation/echo ends and repeat.
> 
> >> When Link State is INSERVICE and get ENDPOINTDOWN indication. Link goes to
> RETRIVAL not to Out of Service.
> 
> Test: B5
> Title: Link Changeover II (Basic)
> 
> The Correct test case should be
> Process: Establish a link and begin data transmission. Tell one side that it is
> in local processor outage.
>                       Remain in that state until the other side ABORT the link.
> When the sides receive the LINK state is RETRIVAL,
>                       record the BSNT and sequence numbers sent/received.
> Manually exchange the BSNT values and enter retrieval requests.
>                       Compare internal message sequence numbers to check for any
>  gaps.
> Variations: Reverse ends and repeat.
> >> Again the same problem STOP does not mean ABORT to SCTP.
>       Link goes to RETRIVAL not to Out of Service
> 
> Test: B6
> Title: Link Changeover III (Basic)
> 
> The Correct test case should be
> Process: Establish a link and begin data transmissions. Tell the test driver
> (ULP) on one side to stop accepting messages.
>                       Eventually, that end will send a busy to the other end.
> After more delay, the T6 Timer will expire on the far end and the link goes to
> RETRIVAL.
>                       , record the BSNT and sequence numbers sent/received.
> Manually exchange the
>                       BSNT values and enter retrieval requests. Compare internal
>  message sequence numbers to check for any gaps.
>                       This simulates what could happen if the MTP3 layer should
> fail.
> Variations:
> >> After T6 expiry link goes to RETRIVAL (because previous state is INSERVICE,
> figure 6 m2pa03).
> 
> Test: B9
> Title: Link Changeover II (Full)
> 
> The Correct test case should be
> Process: Establish links as in "Dual Network Data Transmission". Tell one side
> that it is in local processor outage for one of the links.
>                      Remain in that state until the other side ABORT the link.
> When the sides receive the association down indication it goes to RETRIVAL,
>                      record the BSNT and sequence numbers send/received. The
> test drivers should perform a changeover and all messages on
>                      the failed link will be sent on the other link.
> Variations:
> >>    There is a common problem accross all the test cases
>            1. when Link State is INSERVICE and gets MTP3 STOP , SCTP Comm ERROR,
>  SCTP Comm Lost or T6 expiry Link goes to
>                  RETRIVAL not to Out of service. It will go to Out Of Service
> when Retrival is completed or gets MTP3 Start.( see figure 6)
>            2.  We never close association, ( STOP LINK does not mean ABORT the
> association)
> 
> with regards
> manish sharma

-- 
* Tom George        972-519-3168         [email-masked]   *
* PB2-1323       Intranet:  http://www.ssd.usa.alcatel.com/~tgeorge/  *
* Alcatel USA, Inc.; 1000 Coit Rd, MS PB2-STPA; Plano TX 75075-5813   *
* I actively disclaim speaking for Alcatel USA, Inc. I do not purport *
* to advertise or represent its position,  operations, or activities. *

---
You are currently subscribed to sigtran as: [email-masked]
To unsubscribe send a blank email to [email-masked]